Package wx :: Package lib :: Module calendar

[frames | no frames]

## Module wx.lib.calendar

Classes
`CalDraw` |
`Calendar` |
`CalenDlg` |
`PrtCalDraw` |

Function Summary
| `DefaultColors()`
| `GetMonthList()`
| `MakeColor(in_color)`

Variable Summary
`dict` | `AbrWeekday` = `{0: 'Mon', 1: 'Tue', 2: 'Wed', 3: 'Thu', 4:...`
`list` | `BusCalDays` = `[0, 1, 2, 3, 4, 5, 6]`
`list` | `CalDays` = `[6, 0, 1, 2, 3, 4, 5]`
`str` | `COLOR_3D_DARK` = `'3d_dark'`
`str` | `COLOR_3D_LIGHT` = `'3d_light'`
`str` | `COLOR_BACKGROUND` = `'background'`
`str` | `COLOR_BORDER` = `'border'`
`str` | `COLOR_FONT` = `'font'`
`str` | `COLOR_GRID_LINES` = `'grid_lines'`
`str` | `COLOR_HEADER_BACKGROUND` = `'header_background'`
`str` | `COLOR_HEADER_FONT` = `'header_font'`
`str` | `COLOR_HIGHLIGHT_BACKGROUND` = `'highlight_background'`
`str` | `COLOR_HIGHLIGHT_FONT` = `'highlight_font'`
`str` | `COLOR_SELECTION_BACKGROUND` = `'selection_background'`
`str` | `COLOR_SELECTION_FONT` = `'selection_font'`
`str` | `COLOR_WEEKEND_BACKGROUND` = `'weekend_background'`
`str` | `COLOR_WEEKEND_FONT` = `'weekend_font'`
`PyEventBinder` | `EVT_CALENDAR` = `<wx._core.PyEventBinder object at 0xb74f4...`
`int` | `wxEVT_COMMAND_PYCALENDAR_DAY_CLICKED` = 10294

Variable Details

### AbrWeekday

  Type:
    `dict`
  Value:

        {0: 'Mon', 1: 'Tue', 2: 'Wed', 3: 'Thu', 4: 'Fri', 5: 'Sat', 6: 'Sun'}

### BusCalDays

  Type:
    `list`
  Value:

        [0, 1, 2, 3, 4, 5, 6]

### CalDays

  Type:
    `list`
  Value:

        [6, 0, 1, 2, 3, 4, 5]

### COLOR_3D_DARK

  Type:
    `str`
  Value:

        '3d_dark'

### COLOR_3D_LIGHT

  Type:
    `str`
  Value:

        '3d_light'

### COLOR_BACKGROUND

  Type:
    `str`
  Value:

        'background'

### COLOR_BORDER

  Type:
    `str`
  Value:

        'border'

### COLOR_FONT

  Type:
    `str`
  Value:

        'font'

### COLOR_GRID_LINES

  Type:
    `str`
  Value:

        'grid_lines'

### COLOR_HEADER_BACKGROUND

  Type:
    `str`
  Value:

        'header_background'

### COLOR_HEADER_FONT

  Type:
    `str`
  Value:

        'header_font'

### COLOR_HIGHLIGHT_BACKGROUND

  Type:
    `str`
  Value:

        'highlight_background'

### COLOR_HIGHLIGHT_FONT

  Type:
    `str`
  Value:

        'highlight_font'

### COLOR_SELECTION_BACKGROUND

  Type:
    `str`
  Value:

        'selection_background'

### COLOR_SELECTION_FONT

  Type:
    `str`
  Value:

        'selection_font'

### COLOR_WEEKEND_BACKGROUND

  Type:
    `str`
  Value:

        'weekend_background'

### COLOR_WEEKEND_FONT

  Type:
    `str`
  Value:

        'weekend_font'

### EVT_CALENDAR

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb74f446c>

### wxEVT_COMMAND_PYCALENDAR_DAY_CLICKED

  Type:
    `int`
  Value:

        10294

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:08 2007 | http://epydoc.sf.net